VSTGUI: ViewContainerListenerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ViewContainerListenerAdapter Class Reference

ViewContainer Listener Interface Adapter. More...

Inheritance diagram for ViewContainerListenerAdapter:

## Public Member Functions
void | viewContainerViewAdded (CViewContainer *container, CView *view) override
| called when a new view was added to the container
void | viewContainerViewRemoved (CViewContainer *container, CView *view) override
| called when a view was removed from the container
void | viewContainerViewZOrderChanged (CViewContainer *container, CView *view) override
| called when a view's z-order changed inside the container
void | viewContainerTransformChanged (CViewContainer *container) override
| called when the transform matrix of the container changed
Public Member Functions inherited from IViewContainerListener
virtual | ~IViewContainerListener () noexcept=default

## Detailed Description

ViewContainer Listener Interface Adapter.

## Member Function Documentation

void viewContainerTransformChanged | ( | CViewContainer * | container | ) |
| inlineoverridevirtual

called when the transform matrix of the container changed

Implements IViewContainerListener.

void viewContainerViewAdded | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| inlineoverridevirtual

called when a new view was added to the container

Implements IViewContainerListener.

void viewContainerViewRemoved | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| inlineoverridevirtual

called when a view was removed from the container

Implements IViewContainerListener.

void viewContainerViewZOrderChanged | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| inlineoverridevirtual

called when a view's z-order changed inside the container

Implements IViewContainerListener.

The documentation for this class was generated from the following file:

- iviewlistener.h